/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "xkra.h"

FD_xkra *fdui;

int fontsizes_modified_flag;

void option_calculator_form_fundname_input_field_cb(FL_OBJECT *ob, long data)
{
new_option_calculation();
}/* end function option_calculator_form_fundname_input_field_cb */


void option_calculator_form_month_input_field_cb(FL_OBJECT *ob, long data)
{
new_option_calculation();
}/* end function option_calculator_form_month_input_field_cb */


void option_calculator_form_year_input_field_cb(FL_OBJECT *ob, long data)
{
new_option_calculation();
}/* end function option_calculator_form_year_input_field_cb */


void option_calculator_form_strike_price_input_field_cb(FL_OBJECT *ob, long data)
{
new_option_calculation();
}/* end function option_calculator_form_strike_price_input_field_cb */


void option_calculator_form_days_to_expiration_input_field_cb(FL_OBJECT *ob, long data)
{
if(option_calculator_form_days_to_expiration_manual_input_flag)
	{
	new_option_calculation();
	}
}/* end function option_calculator_form_days_to_expiration_input_field_cb */


void option_calculator_form_days_to_expiration_button_cb(FL_OBJECT *ob, long data)
{
int a;

a = fl_get_button(ob);
if(a)
	{
	fl_set_object_label(ob, "MANUAL");
	}
else
	{
	fl_set_object_label(ob, "AUTO");
	}

option_calculator_form_days_to_expiration_manual_input_flag = a;

new_option_calculation();
}/* end function option_calculator_form_days_to_expiration_button_cb */


void option_calculator_form_current_riskfree_interest_rate_input_field_cb(\
	FL_OBJECT *ob, long data)
{
if(option_calculator_form_current_riskfree_interest_rate_manual_input_flag)
	{
	new_option_calculation();
	}
}/* end function option_calculator_form_current_riskfree_interest_rate_input_field_cb */


void option_calculator_form_current_riskfree_interest_rate_button_cb(\
	FL_OBJECT *ob, long data)
{
int a;

a = fl_get_button(ob);
if(a)
	{
	fl_set_object_label(ob, "MANUAL");
	}
else
	{
	fl_set_object_label(ob, "AUTO");
	}

option_calculator_form_current_riskfree_interest_rate_manual_input_flag = a;

new_option_calculation();
}/* end function option_calculator_form_current_riskfree_interest_rate_button_cb */


void option_calculator_form_riskfree_interest_file_input_field_cb(FL_OBJECT *ob, long data)
{
new_option_calculation();
}/* end function option_calculator_form_riskfree_file_input_field_cb */


void option_calculator_form_current_stock_price_input_field_cb(\
	FL_OBJECT *ob, long data)
{
if(option_calculator_form_current_stock_price_manual_input_flag)
	{
	new_option_calculation();
	}
}/* end function option_calculator_form_current_stock_price_input_field_cb */


void option_calculator_form_current_stock_price_button_cb(\
	FL_OBJECT *ob, long data)
{
int a;

a = fl_get_button(ob);
if(a)
	{
	fl_set_object_label(ob, "MANUAL");
	}
else
	{
	fl_set_object_label(ob, "AUTO");
	}

option_calculator_form_current_stock_price_manual_input_flag = a;

new_option_calculation();
}/* end function option_calculator_form_current_stock_price_button_cb */


void option_calculator_form_daily_standard_deviation_input_field_cb(\
	FL_OBJECT *ob, long data)
{
if(option_calculator_form_daily_standard_deviation_manual_input_flag)
	{
	new_option_calculation();
	}
}/* end function option_calculator_form_daily_standard_deviation_button_cb */


void option_calculator_form_daily_standard_deviation_button_cb(\
	FL_OBJECT *ob, long data)
{
int a;

a = fl_get_button(ob);
if(a)
	{
	fl_set_object_label(ob, "MANUAL");
	}
else
	{
	fl_set_object_label(ob, "AUTO");
	}

option_calculator_form_daily_standard_deviation_manual_input_flag = a;

new_option_calculation();
}/* end function option_calculator_form_daily_standard_deviation_input_field_cb */


void option_calculator_form_data_points_input_field_cb(FL_OBJECT *ob, long data)
{
/* display only */
new_option_calculation();
}/* end function option_calculator_form_data_points_button_cb */


void option_calculator_form_yearly_standard_deviation_input_field_cb(\
	FL_OBJECT *ob, long data)
{
if(option_calculator_form_yearly_standard_deviation_manual_input_flag)
	{
	new_option_calculation();
	}
}/* end function option_calculator_form_yearly_standard_deviation_input_field_cb */


void option_calculator_form_yearly_standard_deviation_button_cb(\
	FL_OBJECT *ob, long data)
{
int a;

a = fl_get_button(ob);
if(a)
	{
	fl_set_object_label(ob, "MANUAL");
	}
else
	{
	fl_set_object_label(ob, "AUTO");
	}

option_calculator_form_yearly_standard_deviation_manual_input_flag = a;

new_option_calculation();
}/* end function option_calculator_form_yearly_standard_deviation_button_cb */


void option_calculator_form_present_call_value_input_field_cb(FL_OBJECT *ob, long data)
{
/* shows result */
}/* end function option_calculator_form_present_call_value_input_field_cb */


void option_calculator_form_present_put_value_input_field_cb(FL_OBJECT *ob, long data)
{
/* shows result */
}/* end function option_calculator_form_present_put_value_input_field_cb */


void option_calculator_form_accept_button_cb(FL_OBJECT *ob, long data)
{
if(fontsizes_modified_flag)
	{
/*	save_fontsizes();*/
	fontsizes_modified_flag = 0;
	}

fl_hide_form(fdui -> option_calculator_form);

option_calculator_form_shown_flag = 0;

}/* end function option_calculator_form_accept_button_cb */


void option_calculator_form_cancel_button_cb(FL_OBJECT *ob, long data)
{

if(fontsizes_modified_flag)
	{
/*	load_fontsizes();*/
	fontsizes_modified_flag = 0;
	}

fl_hide_form(fdui -> option_calculator_form);

option_calculator_form_shown_flag = 0;

}/* end function option_calculator_form_cancel_button_cb */

