#ifndef _OPTIONS_PROTO_H_
#define _OPTIONS_PROTO_H_

extern int get_days_to_expiration(\
	char *expiration_month, char *expiration_year, float *days_to_expiration);
extern int calculate_option_price(\
char *fundname,\
char *expiration_month,\
char *expiration_year,\
char *strike_price,\
float *days_to_expiration,\
float *current_riskfree_interest_rate,\
float *current_stock_price,\
float *daily_standard_deviation,\
double *yearly_standard_deviation,\
float *present_call_value,\
float *present_put_value\
);

extern int new_option_calculation();
extern int month_to_digit(char *login_month);
extern int get_current_value(char *filename, float *current_value);
extern int load_stock_prices(char *filename, float *data, int *data_points);

#endif
