/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "xkra.h"

FD_xkra *fdui;

FILE *filefd;

char *mydata;
                                 
FD_xkra *create_form_main_form(void)
{
FL_OBJECT *obj;

extern int idle_cb();

fdui = (FD_xkra *) fl_calloc(1, sizeof(*fdui));

fl_set_idle_callback(idle_cb, 0);

fdui -> option_evaluation_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> option_evaluation_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 230, 5, 300, 30,\
	"O P T I O N  V A L U E  E V A L U A T I O N");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 230, 5, 300, 30,\
	"O P T I O N  V A L U E  E V A L U A T I O N");
	fl_set_object_dblbuffer(obj, 1);

fdui -> option_evaluation_form_import_menu = obj =\
	fl_add_menu(FL_PULLDOWN_MENU, 590, 10, 90, 20, "IMPORT");
	fl_set_object_boxtype(obj, FL_FRAME_BOX);
	fl_set_object_callback(obj, option_evaluation_form_import_menu_cb, 0);
    fl_set_menu(obj,\
"IMPORT DAVIEFF OPTIONS"\
);

fdui -> option_evaluation_form_filter_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 180, 50, 180, 30, "Filter keywords");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, option_evaluation_form_filter_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> option_evaluation_form_filter_case_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 380, 50, 90, 30, "IGNORE CASE");
	fl_set_object_callback(\
		obj, option_evaluation_form_filter_case_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);

fdui -> option_evaluation_form_filter_clear_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 480, 50, 90, 30, "CLR FILTER");
	fl_set_object_callback(\
		obj, option_evaluation_form_filter_clear_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> option_evaluation_form_option_browser = obj =\
	fl_add_browser(FL_HOLD_BROWSER, 20, 110, 560, 270, "");
	fl_set_object_color(obj, FL_WHITE, 15);
	fl_set_object_callback(obj, option_evaluation_form_option_browser_cb, 0);
	fl_set_browser_dblclick_callback(obj,\
		option_evaluation_form_option_browser_double_cb, 0);
	fl_set_object_dblbuffer(obj, 1);

fdui -> option_evaluation_form_status_display = obj =\
	fl_add_text(FL_NORMAL_TEXT, 130, 450, 370, 20, "");
	fl_set_object_boxtype(obj,FL_FRAME_BOX);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_set_object_lcol(obj, FL_BLUE);
	fl_set_object_color(obj, FL_WHITE, FL_COL1);

fdui -> option_evaluation_form_fontsize_up_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 520, 450, 20, 20, "-");
	fl_set_object_callback(\
		obj, option_evaluation_form_fontsize_down_button_cb, 0);

fdui -> option_evaluation_form_fontsize_down_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 550, 450, 20, 20, "+");
	fl_set_object_callback(\
		obj, option_evaluation_form_fontsize_up_button_cb, 0);

fdui -> option_evaluation_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, option_evaluation_form_cancel_button_cb, 0);

fdui -> option_evaluation_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, option_evaluation_form_accept_button_cb, 0);

fl_end_form(); /* option_evaluation_form */


fdui -> transaction_add_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> transaction_add_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"A D D  T R A N S A C T I O N");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"A D D  T R A N S A C T I O N");
	fl_set_object_dblbuffer(obj, 1);

fdui -> transaction_add_form_date_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 180, 50, 200, 30,\
	"Date");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_add_text(FL_NORMAL_TEXT, 180, 50, 200, 30,\
	"Date");
	fl_set_object_dblbuffer(obj, 1);

fdui -> transaction_add_form_fund_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 180, 390, 200, 30,\
	"fund");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_add_text(FL_NORMAL_TEXT, 180, 390, 200, 30,\
	"fund");
	fl_set_object_dblbuffer(obj, 1);

fdui -> transaction_add_form_year_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 240, 50, 60, 30, "year");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, transaction_add_form_year_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_month_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 310, 50, 60, 30, "month");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_month_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_day_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 380, 50, 60, 30, "day");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_day_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_hour_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 450, 50, 60, 30, "hour");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_hour_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_fund_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 240, 390, 60, 30, "fund");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, transaction_add_form_fund_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_type_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 310, 390, 60, 30, "type");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, transaction_add_form_type_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_expiration_month_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 380, 390, 60, 30, "month");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_expiration_month_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_expiration_year_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 450, 390, 60, 30, "year");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_expiration_year_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_strikeprice_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 520, 390, 60, 30, "strike price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_strikeprice_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> transaction_add_form_account_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 110, 50, 30, "Account.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_account_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_LEFT);

fdui -> transaction_add_form_quantity_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 150, 50, 30, "Quant.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_quantity_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_LEFT);

fdui -> transaction_add_form_price_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 190, 50, 30, "Price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, transaction_add_form_price_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);

fl_bgn_group();
fdui -> transaction_add_form_buy_button = obj =\
	fl_add_button(FL_RADIO_BUTTON, 590, 230, 90, 30, "BUY");
	fl_set_object_callback(obj, transaction_add_form_buy_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> transaction_add_form_sell_button = obj =\
	fl_add_button(FL_RADIO_BUTTON, 590, 270, 90, 30, "SELL");
	fl_set_object_callback(obj, transaction_add_form_sell_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);
fl_end_group();

fdui -> transaction_add_form_clear_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 350, 90, 30, "CLEAR");
	fl_set_object_callback(obj, transaction_add_form_clear_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> transaction_add_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, transaction_add_form_cancel_button_cb, 0);

fdui -> transaction_add_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, transaction_add_form_accept_button_cb, 0);

fl_end_form(); /* transaction_add_form */


fdui -> portfolio_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> portfolio_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"P O R T F O L I O");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"P O R T F O L I O");

fdui -> portfolio_form_market_group = fl_bgn_group();

fdui -> portfolio_form_update_menu = obj =\
	fl_add_menu(FL_PULLDOWN_MENU, 390, 10, 90, 20, "UPDATE");
	fl_set_object_boxtype(obj, FL_FRAME_BOX);
	fl_set_object_callback(obj, portfolio_form_update_menu_cb, 0);
    fl_set_menu(obj, \
"UPDATE .krs FILES FROM PORTFOLIO|\
UPDATE .krs FILES FROM FASTSERVICE EMAILS"\
);
/*	fl_set_menu_item_mode(obj, WORD_WRAP, FL_PUP_BOX);*/

fdui -> portfolio_form_chart_menu = obj =\
	fl_add_menu(FL_PULLDOWN_MENU, 490, 10, 90, 20, "CHARTS");
	fl_set_object_boxtype(obj, FL_FRAME_BOX);
	fl_set_object_callback(obj, portfolio_form_chart_menu_cb, 0);
    fl_set_menu(obj, \
"WHERE YOUR MONEY IS|\
HIDE CHARTS"\
);
/*	fl_set_menu_item_mode(obj, WORD_WRAP, FL_PUP_BOX);*/

fdui -> portfolio_form_import_menu = obj =\
	fl_add_menu(FL_PULLDOWN_MENU, 590, 10, 90, 20, "IMPORT");
	fl_set_object_boxtype(obj, FL_FRAME_BOX);
	fl_set_object_callback(obj, portfolio_form_import_menu_cb, 0);
    fl_set_menu(obj,\
"IMPORT DAVIEFF OPTIONS|\
IMPORT DAVIEFF SHARES|\
IMPORT FASTSERVICE EMAIL"\
);
/*	fl_set_menu_item_mode(obj, WORD_WRAP, FL_PUP_BOX);*/

fdui -> portfolio_form_value_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 20, 50, 70, 30, "Value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_value_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);

fdui -> portfolio_form_cash_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 100, 50, 70, 30, "Account");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_cash_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);

fdui -> portfolio_form_market_filter_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 180, 50, 180, 30, "Filter keywords");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, portfolio_form_market_filter_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_market_filter_case_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 380, 50, 90, 30, "IGNORE CASE");
	fl_set_object_callback(\
		obj, portfolio_form_market_filter_case_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);

fdui -> portfolio_form_market_filter_clear_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 480, 50, 90, 30, "CLR FILTER");
	fl_set_object_callback(\
		obj, portfolio_form_market_filter_clear_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_show_owned_only_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 590, 50, 90, 30, "SHOW ALL");
	fl_set_object_callback(obj, portfolio_form_show_owned_only_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_market_browser = obj =\
	fl_add_browser(FL_HOLD_BROWSER, 20, 110, 560, 270, "");
	fl_set_object_color(obj, FL_WHITE, 15);
	fl_set_object_callback(obj, portfolio_form_market_browser_cb, 0);
	fl_set_browser_dblclick_callback(obj,\
		portfolio_form_market_browser_double_cb, 0);
	fl_set_object_dblbuffer(obj, 1);

fdui -> portfolio_form_fund_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 240, 390, 60, 30, "fund");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_fund_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_type_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 310, 390, 60, 30, "type");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_type_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_month_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 380, 390, 60, 30, "month");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_month_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_year_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 450, 390, 60, 30, "year");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_year_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_strikeprice_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 520, 390, 60, 30, "strike price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_strikeprice_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_sort_alpha_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 110, 90, 30, "SORT ALPHA");
	fl_set_object_callback(obj, portfolio_form_sort_alpha_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> portfolio_form_quantity_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 150, 50, 30, "Quant.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_quantity_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_LEFT);

fdui -> portfolio_form_price_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 190, 50, 30, "Price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, portfolio_form_price_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);

fdui -> portfolio_form_buy_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 230, 90, 30, "BUY");
	fl_set_object_callback(obj, portfolio_form_buy_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);

fdui -> portfolio_form_sell_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 270, 90, 30, "SELL");
	fl_set_object_callback(obj, portfolio_form_sell_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);

fdui -> portfolio_form_delete_item_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 310, 90, 30, "DELETE");
	fl_set_object_callback(obj, portfolio_form_delete_item_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_RED);

fdui -> portfolio_form_clear_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 350, 90, 30, "CLEAR");
	fl_set_object_callback(obj, portfolio_form_clear_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> portfolio_form_delete_expired_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 130, 390, 90, 30, "DEL EXPIRED");
	fl_set_object_callback(\
		obj, portfolio_form_delete_expired_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_add_item_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 390, 90, 30, "ADD");
	fl_set_object_callback(obj, portfolio_form_add_item_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_market_group_fontsize_up_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 520, 450, 20, 20, "-");
	fl_set_object_callback(\
		obj, portfolio_form_market_group_fontsize_down_button_cb, 0);

fdui -> portfolio_form_market_group_fontsize_down_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 550, 450, 20, 20, "+");
	fl_set_object_callback(\
		obj, portfolio_form_market_group_fontsize_up_button_cb, 0);

fl_end_group();/* portfolio_form_market_group */

fdui -> portfolio_form_transaction_group = fl_bgn_group();

fdui -> portfolio_form_transaction_filter_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 180, 50, 180, 30, "Filter keywords");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(\
		obj, portfolio_form_transaction_filter_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	
fdui -> portfolio_form_transaction_filter_case_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 380, 50, 90, 30, "IGNORE CASE");
	fl_set_object_callback(\
		obj, portfolio_form_transaction_filter_case_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);

fdui -> portfolio_form_transaction_filter_clear_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 480, 50, 90, 30, "CLR FILTER");
	fl_set_object_callback(\
		obj, portfolio_form_transaction_filter_clear_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_transaction_browser = obj =\
	fl_add_browser(FL_MULTI_BROWSER, 20, 110, 560, 270, "");
	fl_set_object_color(obj, FL_WHITE, 15);
	fl_set_object_callback(obj, portfolio_form_transaction_browser_cb, 0);
	fl_set_browser_dblclick_callback(obj,\
		portfolio_form_transaction_browser_double_cb, 0);
	fl_set_object_dblbuffer(obj, 1);
		fl_hide_object(obj);

fdui -> portfolio_form_delete_transaction_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 310, 90, 30, "DELETE TR.");
	fl_set_object_callback(\
		obj, portfolio_form_delete_transaction_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_RED);
		fl_hide_object(obj);
	
fdui -> portfolio_form_add_transaction_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 390, 90, 30, "ADD TR.");
	fl_set_object_callback(obj, portfolio_form_add_transaction_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_transaction_group_fontsize_up_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 520, 450, 20, 20, "-");
	fl_set_object_callback(\
		obj, portfolio_form_transaction_group_fontsize_down_button_cb, 0);

fdui -> portfolio_form_transaction_group_fontsize_down_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 550, 450, 20, 20, "+");
	fl_set_object_callback(\
		obj, portfolio_form_transaction_group_fontsize_up_button_cb, 0);

fl_end_group(); /* portfolio_form_transaction_group */

fdui -> portfolio_form_browser_select_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 20, 390, 90, 30, "MARKET");
	fl_set_object_callback(obj, portfolio_form_browser_select_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_GREEN);

fdui -> portfolio_form_status_display = obj =\
	fl_add_text(FL_NORMAL_TEXT, 130, 450, 370, 20, "");
	fl_set_object_boxtype(obj,FL_FRAME_BOX);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_set_object_lcol(obj, FL_BLUE);
	fl_set_object_color(obj, FL_WHITE, FL_COL1);

/*
	<code>  FL_UP_BOX</code>   		 A box that comes out of the screen.
	<code>  FL_DOWN_BOX</code> 		 A box that goes down into the screen.
	<code>  FL_FLAT_BOX</code> 		 A flat box without a border.
	<code>  FL_BORDER_BOX</code>		 A flat box with a border.
	<code>  FL_FRAME_BOX</code>		 A flat box with an engraved frame.
	<code>  FL_SHADOW_BOX</code>		 A flat box with a shadow.
	<code>  FL_ROUNDED_BOX</code>	 A rounded box.
	<code>  FL_RFLAT_BOX</code>		 A rounded box without a border.
	<code>  FL_RSHADOW_BOX</code>	 A rounded box with a shadow.
	<code>  FL_OVAL_BOX</code>		 An elliptic box.
	<code>  FL_NO_BOX</code>   		 No box at all, only a centered label.
*/
fdui -> portfolio_form_pie_chart = obj =\
	fl_add_chart(FL_PIE_CHART, 10, 10, 100, 100, "");
	fl_set_chart_lstyle(obj, FL_BOLD_STYLE);
	fl_set_chart_lcol(obj, FL_BLUE);
	fl_set_chart_lcolor(obj, FL_BLACK);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj,FL_ALIGN_LEFT_TOP|FL_ALIGN_INSIDE);
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
		fl_hide_object(obj);

fdui -> portfolio_form_special_pie_chart = obj =\
	fl_add_chart(FL_SPECIALPIE_CHART, 20, 110, 560, 270, "");
	fl_set_chart_lstyle(obj, FL_BOLD_STYLE);
	fl_set_chart_lcol(obj, FL_BLUE);
	fl_set_chart_lcolor(obj, FL_BLACK);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj,FL_ALIGN_LEFT_TOP|FL_ALIGN_INSIDE);
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
		fl_hide_object(obj);

fdui -> portfolio_form_bar_chart = obj =\
	fl_add_chart(FL_BAR_CHART, 210, 210, 100, 100, "");
	fl_set_chart_lstyle(obj,FL_BOLD_STYLE);
	fl_set_chart_lcol(obj, FL_BLUE);
	fl_set_chart_lcolor(obj, FL_BLACK);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj,FL_ALIGN_LEFT_TOP|FL_ALIGN_INSIDE);
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
		fl_hide_object(obj);

fdui -> portfolio_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, portfolio_form_cancel_button_cb, 0);

fdui -> portfolio_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, portfolio_form_accept_button_cb, 0);
	
fl_end_form(); /* portfolio_form */


fdui -> option_calculator_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> option_calculator_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"O P T I O N S");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 280, 5, 200, 30,\
	"O P T I O N S");

fdui -> option_calculator_form_fundname_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 70, 100, 20, "fund");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_fundname_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_month_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 100, 100, 20, "expiration month");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_month_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_year_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 130, 100, 20, "expiration year");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_year_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_strike_price_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 160, 100, 20, "strike price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_strike_price_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_days_to_expiration_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 210, 100, 20, "days to expiration");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_days_to_expiration_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_days_to_expiration_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 240, 210, 70, 20, "AUTO");
	fl_set_object_callback(obj, option_calculator_form_days_to_expiration_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> option_calculator_form_current_riskfree_interest_rate_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 240, 100, 20, "riskfree interest");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_current_riskfree_interest_rate_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_current_riskfree_interest_rate_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 240, 240, 70, 20, "AUTO");
	fl_set_object_callback(obj,\
		option_calculator_form_current_riskfree_interest_rate_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> option_calculator_form_riskfree_interest_file_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 330, 240, 100, 20, "riskfree interest file");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_riskfree_interest_file_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lalign(obj,FL_ALIGN_RIGHT);

fdui -> option_calculator_form_current_stock_price_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 270, 100, 20, "current stock price");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_current_stock_price_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_current_stock_price_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 240, 270, 70, 20, "AUTO");
	fl_set_object_callback(obj, option_calculator_form_current_stock_price_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> option_calculator_form_daily_standard_deviation_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 300, 100, 20, "daily std deviation");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_daily_standard_deviation_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_daily_standard_deviation_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 240, 300, 70, 20, "AUTO");
	fl_set_object_callback(obj,\
		option_calculator_form_daily_standard_deviation_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> option_calculator_form_data_points_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 330, 300, 100, 20, "data points read");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_data_points_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
	
fdui -> option_calculator_form_yearly_standard_deviation_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 330, 100, 20, "yearly std deviation");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj,\
		option_calculator_form_yearly_standard_deviation_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);

fdui -> option_calculator_form_yearly_standard_deviation_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 240, 330, 70, 20, "AUTO");
	fl_set_object_callback(obj,\
		option_calculator_form_yearly_standard_deviation_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);

fdui -> option_calculator_form_present_call_value_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 360, 100, 20, "present call value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_present_call_value_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_present_put_value_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 120, 390, 100, 20, "present put value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_calculator_form_present_put_value_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_calculator_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, option_calculator_form_cancel_button_cb, 0);

fdui -> option_calculator_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, option_calculator_form_accept_button_cb, 0);
	
fl_end_form(); /* option_calculator_form */


fdui -> share_rates_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> share_rates_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 260, 5, 240, 30,\
	"S H A R E  T R A N S A C T I O N  R A T E S");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 260, 5, 240, 30,\
	"S H A R E  T R A N S A C T I O N  R A T E S");

fdui -> share_rates_form_buy_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 60, 50, 100, 30,\
	"BUY RATES");
	fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);

fdui -> share_rates_form_sell_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 410, 50, 100, 30,\
	"SELL RATES");
	fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);

fdui -> share_rates_form_buy_minimum_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 140, 50, 20, "min.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_minimum_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_from1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 170, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_from1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
		
fdui -> share_rates_form_buy_value1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 170, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_value1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_from2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 200, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_from2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_value2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 200, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_value2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_from3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 230, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_from3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);

fdui -> share_rates_form_buy_value3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 230, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_value3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_from4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 260, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_from4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_value4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 260, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_value4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_buy_fixed_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 290, 50, 20, "fixed");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_buy_fixed_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_minimum_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 140, 50, 20, "min.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_minimum_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_from1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 170, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_from1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);

fdui -> share_rates_form_sell_value1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 170, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_value1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_from2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 200, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_from2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_value2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 200, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_value2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_from3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 230, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_from3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_value3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 230, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_value3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_from4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 260, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_from4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_value4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 260, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_value4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_sell_fixed_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 290, 50, 20, "fixed");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_sell_fixed_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_currency_symbol_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 325, 350, 50, 20, "currency symbol");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, share_rates_form_currency_symbol_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> share_rates_form_include_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 340, 380, 20, 20, "include");
	fl_set_object_callback(obj, share_rates_form_include_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_RED);
	fl_set_object_lalign(obj,FL_ALIGN_LEFT);
		fl_hide_object(obj);
	
fdui -> share_rates_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, share_rates_form_cancel_button_cb, 0);

fdui -> share_rates_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, share_rates_form_accept_button_cb, 0);
	
fl_end_form(); /* share_rates_form */


fdui -> option_rates_form =\
fl_bgn_form(FL_UP_BOX, 700, 500);

fdui -> option_rates_form_title = obj =\
	fl_add_text(FL_NORMAL_TEXT, 260, 5, 240, 30,\
	"O P T I O N  T R A N S A C T I O N  R A T E S");
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
/* xforms bug? work around else no display, display seems left aligned */
	fl_add_text(FL_NORMAL_TEXT, 260, 5, 240, 30,\
	"O P T I O N  T R A N S A C T I O N  R A T E S");

fdui -> option_rates_form_buy_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 60, 50, 100, 30,\
	"BUY RATES");
	fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);

fdui -> option_rates_form_sell_text = obj =\
	fl_add_text(FL_NORMAL_TEXT, 410, 50, 100, 30,\
	"SELL RATES");
	fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);

fdui -> option_rates_form_buy_minimum_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 140, 50, 20, "min.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_minimum_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_from1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 170, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_from1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
		
fdui -> option_rates_form_buy_value1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 170, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_value1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_from2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 200, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_from2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_value2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 200, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_value2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_from3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 230, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_from3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);

fdui -> option_rates_form_buy_value3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 230, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_value3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_from4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 260, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_from4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_value4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 280, 260, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_value4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_buy_fixed_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 60, 290, 50, 20, "fixed");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_buy_fixed_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_minimum_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 140, 50, 20, "min.");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_minimum_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_from1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 170, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_from1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);

fdui -> option_rates_form_sell_value1_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 170, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_value1_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_from2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 200, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_from2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_value2_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 200, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_value2_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_from3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 230, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_from3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_value3_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 230, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_value3_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_from4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 260, 100, 20, "from");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_from4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_value4_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 630, 260, 50, 20, "value");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_value4_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_sell_fixed_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 410, 290, 50, 20, "fixed");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_sell_fixed_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_currency_symbol_input_field = obj =\
	fl_add_input(FL_NORMAL_INPUT, 325, 350, 50, 20, "currency symbol");
	fl_set_input_return(obj, FL_RETURN_END_CHANGED);
	fl_set_object_callback(obj, option_rates_form_currency_symbol_input_field_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
    fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	
fdui -> option_rates_form_include_button = obj =\
	fl_add_button(FL_PUSH_BUTTON, 340, 380, 20, 20, "include");
	fl_set_object_callback(obj, option_rates_form_include_button_cb, 0);
	fl_set_object_color(obj, FL_COL1, FL_RED);
	fl_set_object_lalign(obj,FL_ALIGN_LEFT);
		fl_hide_object(obj);
	
fdui -> option_rates_form_cancel_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 20, 450, 90, 30, "CANCEL");
	fl_set_object_callback(obj, option_rates_form_cancel_button_cb, 0);

fdui -> option_rates_form_accept_button = obj =\
	fl_add_button(FL_NORMAL_BUTTON, 590, 450, 90, 30, "ACCEPT");
	fl_set_object_callback(obj, option_rates_form_accept_button_cb, 0);
	
fl_end_form(); /* option_rates_form */


fdui -> main_form =\
	fl_bgn_form(FL_NO_BOX, 790, 570);
	obj = fl_add_box(FL_UP_BOX, 0, 0, 790, 570,"");
	fl_set_object_lsize(obj,FL_HUGE_SIZE);
	fl_set_object_lstyle(obj,FL_FIXEDBOLDITALIC_STYLE + FL_EMBOSSED_STYLE);

fdui -> info_light =\
	obj = fl_add_box(FL_ENGRAVED_FRAME, 80, 410, 140, 30, "NO ACTION");
	fl_set_object_color(obj, FL_COL1, FL_COL1);

fdui -> outfield =\
	obj = fl_add_text(FL_NORMAL_TEXT, 290, 415, 190, 20, "");
	fl_set_object_boxtype(obj,FL_DOWN_BOX);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_set_object_lcol(obj, FL_BLUE);
	fl_set_object_color(obj, FL_YELLOW, FL_COL1);
           
fdui -> volumefield =\
	obj = fl_add_text(FL_NORMAL_TEXT, 290, 455, 190, 20, "");
	fl_set_object_boxtype(obj,FL_DOWN_BOX);
	fl_set_object_lstyle(obj,FL_BOLD_STYLE);
	fl_set_object_lcol(obj, FL_BLUE);
	fl_set_object_color(obj, FL_YELLOW, FL_COL1);
           
fdui -> directory_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 320, 495, 100, 20, "Dir");
	fl_set_object_callback(obj, directory_input_cb, 0);

fdui -> fund_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 380, 535, 40, 20, "Fund");
	fl_set_object_callback(obj, fund_input_cb, 0);

fdui -> start_capital_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 200, 535, 90, 20, "s.cap");
	fl_set_object_callback(obj, start_capital_input_cb, 0);

fdui -> main_form_window_menu = obj =\
	fl_add_menu(FL_PULLDOWN_MENU, 690, 5, 90, 20, "WINDOW");
	fl_set_object_boxtype(obj, FL_FRAME_BOX);
	fl_set_object_callback(obj, main_form_window_menu_cb, 0);
    fl_set_menu(obj,\
"PORTFOLIO MANAGEMENT|
OPTION CALCULATOR|
SHARE RATES|
OPTION RATES|
OPTION EVALUATOR\
");
/*	fl_set_menu_item_mode(obj, WORD_WRAP, FL_PUP_BOX);*/

fdui -> ixyplot =\
/*	obj = fl_add_xyplot(FL_NORMAL_XYPLOT, 0, 0, 790, 400,"");*/
	obj = fl_add_xyplot(FL_NORMAL_XYPLOT, 10, 30, 770, 370,"");
	fl_set_object_color(obj,FL_WHITE,FL_RIGHT_BCOL);
	fl_set_object_lcol(obj,FL_GREEN);
	fl_set_object_lsize(obj,FL_HUGE_SIZE);
	fl_set_object_lstyle(obj,FL_FIXEDBOLD_STYLE+FL_EMBOSSED_STYLE);
	fl_set_xyplot_fontsize(obj, FL_LARGE_SIZE);
	fl_set_xyplot_fontstyle(obj, FL_FIXEDBOLD_STYLE);
	fl_set_xyplot_xtics(obj, 10, 10);
	fl_set_xyplot_ytics(obj, 10, 2);
	fl_set_xyplot_inspect(obj,  1);/* int yes, used 1 ??? */
	fl_set_xyplot_return(obj, FL_RETURN_CHANGED);
	fl_set_object_callback(obj, ixyplotcb,0);
 
fdui -> exit_switch =\
	obj = fl_add_button(FL_NORMAL_BUTTON, 20, 410, 50, 30, "EXIT");
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_callback(obj, exit_switch_cb, 0);

fdui -> update_switch =\
	obj = fl_add_button(FL_PUSH_BUTTON, 20, 450, 50, 30, "upd");
	fl_set_object_color(obj, FL_COL1, FL_GREEN);
	fl_set_object_callback(obj, update_switch_cb, 0);

fdui -> shares_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 170, 450, 50, 30, "shrs");
	fl_set_object_color(obj, FL_COL1, FL_DEEPPINK);
	fl_set_object_callback(obj, shares_switch_cb, 0);

/*
fdui -> portfolio_switch =\
	obj = fl_add_button(FL_NORMAL_BUTTON, 230, 410, 50, 30, "portf");
	fl_set_object_color(obj, FL_COL1, FL_GREEN);
	fl_set_object_callback(obj, portfolio_switch_cb, 0);

fdui -> rates_switch =\
	obj = fl_add_button(FL_NORMAL_BUTTON, 230, 450, 50, 30, "rates");
	fl_set_object_color(obj, FL_COL1, FL_GREEN);
	fl_set_object_callback(obj, rates_switch_cb, 0);

fdui -> options_switch =\
	obj = fl_add_button(FL_NORMAL_BUTTON, 230, 490, 50, 30, "options");
	fl_set_object_color(obj, FL_COL1, FL_GREEN);
	fl_set_object_callback(obj, options_switch_cb, 0);
*/

fdui -> vermogen_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 170, 490, 50, 30, "verm");
	fl_set_object_color(obj, FL_COL1, FL_DOGERBLUE);
	fl_set_object_callback(obj, vermogen_switch_cb, 0);

fdui -> auto_trade_switch =\
	obj = fl_add_button(FL_PUSH_BUTTON, 20, 490, 50, 30, "MAN");
	fl_set_object_color(obj, FL_COL1, FL_RED);
	fl_set_object_callback(obj, auto_trade_switch_cb, 0);

fdui -> simulation_switch =\
	obj = fl_add_button(FL_PUSH_BUTTON, 20, 530, 50, 30, "sim");
	fl_set_object_color(obj, FL_COL1, FL_YELLOW);
	fl_set_object_callback(obj, simulation_switch_cb, 0);

fdui -> close_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 620, 410, 50, 30, "close");
	fl_set_object_color(obj, FL_RIGHT_BCOL, FL_COL1);
	fl_set_object_callback(obj, close_switch_cb, 0);

fdui -> text_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 500, 410, 50, 30, "text");
	fl_set_object_color(obj, FL_COL1, FL_DARKGOLD);
	fl_set_object_callback(obj, text_switch_cb, 0);

fdui -> momentum_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 560, 530, 50, 30, "mom");
	fl_set_object_color(obj, FL_COL1, FL_DARKCYAN);
	fl_set_object_callback(obj, momentum_switch_cb, 0);

fdui -> upper_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 500, 450, 50, 30, "upper");
	fl_set_object_color(obj, FL_COL1, FL_ORCHID);
	fl_set_object_callback(obj, upper_switch_cb, 0);

fdui -> lower_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 500, 490, 50, 30, "lower");
	fl_set_object_color(obj, FL_COL1, FL_DARKORANGE);
	fl_set_object_callback(obj, lower_switch_cb, 0);

fdui -> decision_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 500, 530, 50, 30, "cross");
	fl_set_object_color(obj, FL_COL1, FL_MAGENTA);
	fl_set_object_callback(obj, decision_switch_cb, 0);

fdui -> relative_strength_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 680, 530, 50, 30, "rel");
	fl_set_object_color(obj, FL_COL1, FL_GREEN);
	fl_set_object_callback(obj, relative_switch_cb, 0);

fdui -> moving_average_1_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 560, 450, 50, 30, "ma1");
	fl_set_object_color(obj, FL_COL1, FL_BLUE);
	fl_set_object_lcol(obj, FL_DARKVIOLET);
	fl_set_object_callback(obj, ma1_switch_cb, 0);

fdui -> moving_average_2_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 560, 490, 50, 30, "ma2");
	fl_set_object_color(obj, FL_COL1, FL_RED);
	fl_set_object_lcol(obj, FL_RED);
	fl_set_object_callback(obj, ma2_switch_cb, 0);

fdui -> volume_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 560, 410, 50, 30, "vol");
	fl_set_object_color(obj, FL_COL1, FL_DARKTOMATO);
	fl_set_object_callback(obj, volume_switch_cb, 0);

fdui -> start_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 680, 415, 40, 20,\
	"start");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, start_input_cb, 0);

fdui -> end_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 730, 415, 40, 20,\
	"end");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, end_input_cb, 0);

fdui -> ma1_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 620, 455, 40, 20,\
	"m.a. 1");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, ma1_input_cb, 0);

fdui -> ma2_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 620, 495, 40, 20,\
	"m.a. 2");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, ma2_input_cb, 0);

fdui -> mawei1_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 670, 455, 30, 20,\
	"weight 1");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, mawei1_input_cb, 0);

fdui -> mawei2_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 670, 495, 30, 20,\
	"weight 2");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, mawei2_input_cb, 0);

fdui -> ma1_lead_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 710, 455, 30, 20,\
	"lead 1");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, ma1_lead_input_cb, 0);

fdui -> ma2_lead_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 710, 495, 30, 20,\
	"lead 2");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, ma2_lead_input_cb, 0);

fdui -> momentum_days_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 620, 535, 40, 20,\
	"");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, momentum_days_input_cb, 0);
	
fdui -> relative_file_input =\
	obj = fl_add_input(FL_NORMAL_INPUT, 735, 535, 40, 20,\
	"");
	fl_set_object_lalign(obj, FL_ALIGN_BOTTOM);
	fl_set_object_callback(obj, relative_file_input_cb, 0);
	
fdui -> local_clock  =\
	obj = fl_add_clock(FL_DIGITAL_CLOCK, 80, 450, 80, 30, "local time");
    fl_set_object_boxtype(obj, FL_DOWN_BOX);
	fl_set_object_color(obj, FL_BLACK, FL_GREEN);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_LARGE_SIZE);

fdui -> new_york_clock  =\
	obj = fl_add_text(FL_NORMAL_TEXT, 80, 510, 80, 30, "");
	fl_set_object_boxtype(obj, FL_DOWN_BOX);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_LARGE_SIZE);
	fl_set_object_lcol(obj, FL_GREEN);
	fl_set_object_color(obj, FL_BLACK, FL_COL1);
	fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

fdui -> ny_clock_id =\
	obj = fl_add_box(FL_NO_FRAME, 80, 540, 80, 30, "New York");
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);
	fl_set_object_lsize(obj, FL_LARGE_SIZE);
	fl_set_object_lcol(obj, FL_BLACK);
	fl_set_object_color(obj, FL_COL1, FL_COL1);

fdui -> file_type_switch =\
	obj = fl_add_lightbutton(FL_PUSH_BUTTON, 430, 530, 50, 30, ".krs");
	fl_set_object_color(obj, FL_RIGHT_BCOL, FL_COL1);
	fl_set_object_callback(obj, file_type_switch_cb, 0);

fdui -> optimize_button =\
	obj = fl_add_button(FL_PUSH_BUTTON, 430, 490, 50, 30, "optimize");
	fl_set_object_color(obj, FL_COL1, FL_SPRINGGREEN);
	fl_set_object_callback(obj, optimize_button_cb, 0);

/* Note: any data aquisition functions can be called from this callback */
fl_add_signal_callback(\
	SIGALRM, (FL_SIGNAL_HANDLER)print_new_york_time, &mydata);
alarm(1);

/*fdui -> io_callback =\*/
/*	obj = fl_add_io_callback(fileno(filefd), FL_READ, io_cb, void *data)
*/

fl_end_form(); /* main form */

return fdui;
}/* end function FD_xkra *create_form_main_form */

